clear
insheet using "data.txt"

replace subject=file*100+subject
replace group=file*10000+interaction*100+group


/////////////////////
// SECTION IV
//////////////////////

// Figure 2
sort bc interaction
by bc interaction: sum decision if period==1 & error==1/8

////////////////////
// QUESTION 1
////////////////
// Figure 3 - calculate mean cooperation, plus SEs clustering on subject and group (coeff on _cons gives mean, Std Err gives SE)
sort bc
//  1st round C
by bc: cluster2 decision if period==1 & interaction>=(numinteractions-3) & error==1/8, fcluster(subject) tcluster(group)
//  overall C
by bc: cluster2 decision if interaction>=(numinteractions-3) & error==1/8, fcluster(subject) tcluster(group)

////////////////
// First round C across b/cs at E=1/8
logit2 decision bc if period==1 & error==1/8 & (bc==1.5 | bc==2), fcluster(subject) tcluster(group)
logit2 decision bc if period==1 & error==1/8 & (bc==1.5 | bc==2.5), fcluster(subject) tcluster(group)
logit2 decision bc if period==1 & error==1/8 & (bc==1.5 | bc==4), fcluster(subject) tcluster(group)
logit2 decision bc if period==1 & error==1/8 & (bc==2 | bc==2.5), fcluster(subject) tcluster(group)
logit2 decision bc if period==1 & error==1/8 & (bc==2 | bc==4), fcluster(subject) tcluster(group)
logit2 decision bc if period==1 & error==1/8 & (bc==2.5 | bc==4), fcluster(subject) tcluster(group)
// Overall C across b/cs at E=1/8
logit2 decision bc if error==1/8 & (bc==1.5 | bc==2), fcluster(subject) tcluster(group)
logit2 decision bc if error==1/8 & (bc==1.5 | bc==2.5), fcluster(subject) tcluster(group)
logit2 decision bc if error==1/8 & (bc==1.5 | bc==4), fcluster(subject) tcluster(group)
logit2 decision bc if error==1/8 & (bc==2 | bc==2.5), fcluster(subject) tcluster(group)
logit2 decision bc if error==1/8 & (bc==2 | bc==4), fcluster(subject) tcluster(group)
logit2 decision bc if error==1/8 & (bc==2.5 | bc==4), fcluster(subject) tcluster(group)

//////////////////////
// QUESTION 3
//////////////////////
// Dependence on other's play 2 periods ago
xtlogit decision other_p_2 you_p_2 other_p_1 you_p_1 overallc_last4 firstc_last4 bc if error==1/8 & interaction>=(numinteractions-3), re i(subject)

//////////////////////
// QUESTION 4
//////////////////////
// TABLE 4 - descriptive statistics across b/cs for E=1/8
sort bc
//  1st round C
by bc: sum decision if period==1 & interaction>=(numinteractions-3) & error==1/8
//  overall C
by bc: sum decision if interaction>=(numinteractions-3) & error==1/8
//  leniency
by bc: sum decision if leniency==1 & interaction>=(numinteractions-3) & error==1/8
// forgiveness
by bc: sum decision if forgive==1 & interaction>=(numinteractions-3) & error==1/8
///////////////////////
// Descriptive statistics p-values
//       Leniency
logit2 decision bc if leniency==1 & error==1/8 & (bc==1.5 | bc==2), fcluster(subject) tcluster(group)
logit2 decision bc if leniency==1 & error==1/8 & (bc==1.5 | bc==2.5), fcluster(subject) tcluster(group)
logit2 decision bc if leniency==1 & error==1/8 & (bc==1.5 | bc==4), fcluster(subject) tcluster(group)
logit2 decision bc if leniency==1 & error==1/8 & (bc==2 | bc==2.5), fcluster(subject) tcluster(group)
logit2 decision bc if leniency==1 & error==1/8 & (bc==2 | bc==4), fcluster(subject) tcluster(group)
logit2 decision bc if leniency==1 & error==1/8 & (bc==2.5 | bc==4), fcluster(subject) tcluster(group)
//       Forgiveness
logit2 decision bc if forgiveness==1 & error==1/8 & (bc==1.5 | bc==2), fcluster(subject) tcluster(group)
logit2 decision bc if forgiveness==1 & error==1/8 & (bc==1.5 | bc==2.5), fcluster(subject) tcluster(group)
logit2 decision bc if forgiveness==1 & error==1/8 & (bc==1.5 | bc==4), fcluster(subject) tcluster(group)
logit2 decision bc if forgiveness==1 & error==1/8 & (bc==2 | bc==2.5), fcluster(subject) tcluster(group)
logit2 decision bc if forgiveness==1 & error==1/8 & (bc==2 | bc==4), fcluster(subject) tcluster(group)
logit2 decision bc if forgiveness==1 & error==1/8 & (bc==2.5 | bc==4), fcluster(subject) tcluster(group)


//////////////////////
// QUESTION 5
//////////////////////
// Dependence on other's play 2 periods ago
xtlogit decision other_p_2 you_p_2 other_p_1 you_p_1 overallc_last4 firstc_last4 if error==1/16 & interaction>=(numinteractions-3), re i(subject)
xtlogit decision other_p_2 you_p_2 other_p_1 you_p_1 overallc_last4 firstc_last4 if error==0 & interaction>=(numinteractions-3), re i(subject)
//////////////
// TABLE 6 - descriptive statistics across Es for b/c=4
sort error
//  1st round C
by error: sum decision if period==1 & interaction>=(numinteractions-3) & bc==4
//  overall C
by error: sum decision if interaction>=(numinteractions-3) & bc==4
//  leniency
by error: sum decision if leniency==1 & interaction>=(numinteractions-3)  & bc==4
// forgiveness
by error: sum decision if forgive==1 & interaction>=(numinteractions-3) & bc==4
/////////////////
// Descriptive statistics p-values across Es for b/c=4
//       First round C
logit2 decision error if period==1 & bc==4 & (error==1/8 | error==1/16), fcluster(subject) tcluster(group)
logit2 decision error if period==1 & bc==4 & (error==1/8 | error==0), fcluster(subject) tcluster(group)
logit2 decision error if period==1 & bc==4 & (error==0 | error==1/16), fcluster(subject) tcluster(group)
//       Overall C
logit2 decision error if  bc==4 & (error==1/8 | error==1/16), fcluster(subject) tcluster(group)
logit2 decision error if  bc==4 & (error==1/8 | error==0), fcluster(subject) tcluster(group)
logit2 decision error if  bc==4 & (error==0 | error==1/16), fcluster(subject) tcluster(group)
//       Leniency C
logit2 decision error if leniency==1 & bc==4 & (error==1/8 | error==1/16), fcluster(subject) tcluster(group)
logit2 decision error if leniency==1 & bc==4 & (error==1/8 | error==0), fcluster(subject) tcluster(group)
logit2 decision error if leniency==1 & bc==4 & (error==0 | error==1/16), fcluster(subject) tcluster(group)
//       Forgiveness C
logit2 decision error if forgiveness==1 & bc==4 & (error==1/8 | error==1/16), fcluster(subject) tcluster(group)
logit2 decision error if forgiveness==1 & bc==4 & (error==1/8 | error==0), fcluster(subject) tcluster(group)
logit2 decision error if forgiveness==1 & bc==4 & (error==0 | error==1/16), fcluster(subject) tcluster(group)



////////////////
// SECTION V
////////////
// ALLD player payoffs by b/c
sort bc
by bc: cluster2 payoff alld if error==1/8 , fcluster(subject) tcluster(group)
// Individual learning among persistent defectors
//      only subjects who intended to cooperate in less than 15% of moves
logit2 decision others bc if period==1 & error==1/8 & overallc_all<0.15, fcluster(subject) tcluster(group)
//      only subjects who actually cooperated in less than 15% of moves
logit2 decision others bc if period==1 & error==1/8 & overallc_all_act<0.15, fcluster(subject) tcluster(group)


////////////////////////
// APPENDIX B
///////////////////////
// AGGREGATE LEARNING
//       E=1/8
sort bc
by bc: logit2 decision interaction if period==1 & error==1/8, fcluster(subject) tcluster(group)
//       E=1/16 
logit2 decision interaction if period==1 & error==1/16, fcluster(subject) tcluster(group)
//       E=0 
logit2 decision interaction if period==1 & error==0, fcluster(subject) tcluster(group)
////////////////////
// INDIVIDUAL LEARNING
//            E=1/8
logit2 decision others if period==1 & error==1/8, fcluster(subject) tcluster(group)
logit2 decision others interaction bc if period==1 & error==1/8, fcluster(subject) tcluster(group)
xi: logit2 decision i.others*interaction i.others*bc if period==1 & error==1/8, fcluster(subject) tcluster(group)
//                   just last 4 interactions
logit2 decision others if period==1 & error==1/8 & interaction<=(numinteractions-3), fcluster(subject) tcluster(group)
//            E=1/16
logit2 decision others if period==1 & error==1/16, fcluster(subject) tcluster(group)
//            E=0
logit2 decision others if period==1 & error==0, fcluster(subject) tcluster(group)
